Bug 1284000 - Review Request: rpmspectool - Utility for RPM spec files
Review Request: rpmspectool - Utility for RPM spec files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-20 08:47 EST by Nils Philippsen
Modified: 2016-02-11 08:04 EST (History)
5 users (show)

See Also:
Fixed In Version: rpmspectool-1.99.3-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-11 07:54:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2015-11-20 08:47:38 EST
Spec URL: https://nphilipp.fedorapeople.org/review/rpmspectool/rpmspectool.spec
SRPM URL: https://nphilipp.fedorapeople.org/review/rpmspectool/rpmspectool-1.99.3-1.fc23.src.rpm
Description: The rpmspectool utility lets users expand and download sources and patches in RPM spec files.
Fedora Account System Username: nphilipp
Comment 1 Parag AN(पराग) 2015-11-20 09:01:17 EST
Sorry but I don't understand why is the need to have/develop another tool? We have rpmdevtools package which provides spectool binary. Or is it that python written spectool is needed for some purpose in Fedora?
Comment 2 Nils Philippsen 2015-11-20 09:11:37 EST
I wrote the original spectool in Perl in 2004. However, I don't really speak the language anymore, so it didn't see much of maintenance. There's at least one bug in it which makes the "-R/--sourcedir" option not work as intended. The spectool in rpmdevtools is the only Perl script in the package, getting rid of it would let us drop that dependency.
Comment 3 Nils Philippsen 2015-11-20 09:54:01 EST
Incidentally, bug #1279723 was filed last week about short-comings in the original Perl implementation of spectool.
Comment 4 Parag AN(पराग) 2015-11-20 11:41:55 EST
Suggestions:
1) Group tag is optional and can be removed from spec file.
2) also I am not sure but suspect that those rpmlint python-bytecode-without-source warnings are because of python3.5 change. If this package built against python3.4 in F23 there is no such rpmlint warnings.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 18 files have unknown license. Detailed
     output of licensecheck in
     /home/parag/1284000-rpmspectool/licensecheck.txt
[-]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.5/site-packages,
     /usr/lib/python3.5
[-]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.5/site-
     packages, /usr/lib/python3.5
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rpmspectool-1.99.3-1.fc24.noarch.rpm
          rpmspectool-1.99.3-1.fc24.src.rpm
rpmspectool.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/rpmspectool/__pycache__/rpm.cpython-35.opt-1.pyc
rpmspectool.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/rpmspectool/__pycache__/version.cpython-35.opt-1.pyc
rpmspectool.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/rpmspectool/__pycache__/i18n.cpython-35.opt-1.pyc
rpmspectool.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/rpmspectool/__pycache__/cli.cpython-35.opt-1.pyc
rpmspectool.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/rpmspectool/__pycache__/__init__.cpython-35.opt-1.pyc
rpmspectool.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/rpmspectool/__pycache__/download.cpython-35.opt-1.pyc
rpmspectool.noarch: W: no-manual-page-for-binary rpmspectool
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
rpmspectool.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/rpmspectool/__pycache__/i18n.cpython-35.opt-1.pyc
rpmspectool.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/rpmspectool/__pycache__/download.cpython-35.opt-1.pyc
rpmspectool.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/rpmspectool/__pycache__/cli.cpython-35.opt-1.pyc
rpmspectool.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/rpmspectool/__pycache__/__init__.cpython-35.opt-1.pyc
rpmspectool.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/rpmspectool/__pycache__/version.cpython-35.opt-1.pyc
rpmspectool.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/rpmspectool/__pycache__/rpm.cpython-35.opt-1.pyc
rpmspectool.noarch: W: no-manual-page-for-binary rpmspectool
1 packages and 0 specfiles checked; 0 errors, 7 warnings.



Requires
--------
rpmspectool (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3-pycurl



Provides
--------
rpmspectool:
    rpmspectool



Source checksums
----------------
https://pypi.python.org/packages/source/r/rpmspectool/rpmspectool-1.99.3.tar.gz :
  CHECKSUM(SHA256) this package     : 5f12ae6e1f94f739dcd9aec235bb3e2b00b86b5cd4d3ac1de6776e7cd391561b
  CHECKSUM(SHA256) upstream package : 5f12ae6e1f94f739dcd9aec235bb3e2b00b86b5cd4d3ac1de6776e7cd391561b


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20


APPROVED.
Comment 5 Nils Philippsen 2015-11-22 13:23:20 EST
Thanks for the review!
Comment 6 Gwyn Ciesla 2015-11-22 15:34:21 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpmspectool
Comment 7 Raphael Groner 2016-02-06 11:47:28 EST
I don't see any commits in git, neither a package in PkgDB?
Comment 8 Raphael Groner 2016-02-06 11:48:32 EST
Okay, there are some koji builds. But why is git empty then?
Comment 9 Parag AN(पराग) 2016-02-07 04:22:24 EST
Raphael, where exactly are you looking in git? I just checkout rpmspectool and can find the spec file and sources file.
Comment 10 Raphael Groner 2016-02-07 04:45:30 EST
(In reply to Parag AN(पराग) from comment #9)
> Raphael, where exactly are you looking in git? 

http://pkgs.fedoraproject.org/cgit/rpmspectool.git/
Comment 11 Parag AN(पराग) 2016-02-07 05:28:34 EST
oh okay. That need to be reported to fedora-infra people. Something should be wrong in pkgs git.
Comment 12 Patrick Uiterwijk 2016-02-11 07:54:41 EST
The correct URL these days is: http://pkgs.fedoraproject.org/cgit/rpms/rpmspectool.git/.
When you search through the list on http://pkgs.fedoraproject.org/cgit/, that's also the URL you will find.
Comment 13 Raphael Groner 2016-02-11 08:02:56 EST
Strange bug in PkgDB, then but this package only, it works with other packages. When you click on "Package source", you still get the old URL.

Note You need to log in before you can comment on or make changes to this bug.